| OpenCV 3.4.3 Open Source Computer Vision

Public Member Functions | Public Attributes | List of all members
cv::tracking::UnscentedKalmanFilterParams Class Reference

Unscented Kalman filter parameters. The class for initialization parameters of Unscented Kalman filter. More...

`#include "kalman_filters.hpp"`

Inheritance diagram for cv::tracking::UnscentedKalmanFilterParams:

## Public Member Functions
| UnscentedKalmanFilterParams ()
| UnscentedKalmanFilterParams (int dp, int mp, int cp, double processNoiseCovDiag, double measurementNoiseCovDiag, Ptr< UkfSystemModel > dynamicalSystem, int type=CV_64F)
void | init (int dp, int mp, int cp, double processNoiseCovDiag, double measurementNoiseCovDiag, Ptr< UkfSystemModel > dynamicalSystem, int type=CV_64F)

## Public Attributes
double | alpha
| Default is 1e-3. More...
double | beta
| Default is 2.0. More...
int | CP
| Dimensionality of the control vector. More...
int | dataType
| Type of elements of vectors and matrices, default is CV_64F. More...
int | DP
| Dimensionality of the state vector. More...
Mat | errorCovInit
| State estimate cross-covariance matrix, DP x DP, default is identity. More...
double | k
| Default is 0. More...
Mat | measurementNoiseCov
| Measurement noise cross-covariance matrix, MP x MP. More...
Ptr< UkfSystemModel > | model
| Object of the class containing functions for computing the next state and the measurement. More...
int | MP
| Dimensionality of the measurement vector. More...
Mat | processNoiseCov
| Process noise cross-covariance matrix, DP x DP. More...
Mat | stateInit
| Initial state, DP x 1, default is zero. More...

## Detailed Description

Unscented Kalman filter parameters. The class for initialization parameters of Unscented Kalman filter.

## Constructor & Destructor Documentation

## § UnscentedKalmanFilterParams() [1/2]

cv::tracking::UnscentedKalmanFilterParams::UnscentedKalmanFilterParams | ( |  | ) |
| inline

The constructors.

## § UnscentedKalmanFilterParams() [2/2]

cv::tracking::UnscentedKalmanFilterParams::UnscentedKalmanFilterParams | ( | int | dp,
|  | int | mp,
|  | int | cp,
|  | double | processNoiseCovDiag,
|  | double | measurementNoiseCovDiag,
|  | Ptr< UkfSystemModel > | dynamicalSystem,
|  | int | type = `CV_64F`
| ) |  |

Parameters

  dp | - dimensionality of the state vector,
  mp | - dimensionality of the measurement vector,
  cp | - dimensionality of the control vector,
  processNoiseCovDiag | - value of elements on main diagonal process noise cross-covariance matrix,
  measurementNoiseCovDiag | - value of elements on main diagonal measurement noise cross-covariance matrix,
  dynamicalSystem | - ptr to object of the class containing functions for computing the next state and the measurement,
  type | - type of the created matrices that should be CV_32F or CV_64F.

## Member Function Documentation

## § init()

void cv::tracking::UnscentedKalmanFilterParams::init | ( | int | dp,
|  | int | mp,
|  | int | cp,
|  | double | processNoiseCovDiag,
|  | double | measurementNoiseCovDiag,
|  | Ptr< UkfSystemModel > | dynamicalSystem,
|  | int | type = `CV_64F`
| ) |  |

The function for initialization of Unscented Kalman filter

Parameters

  dp | - dimensionality of the state vector,
  mp | - dimensionality of the measurement vector,
  cp | - dimensionality of the control vector,
  processNoiseCovDiag | - value of elements on main diagonal process noise cross-covariance matrix,
  measurementNoiseCovDiag | - value of elements on main diagonal measurement noise cross-covariance matrix,
  dynamicalSystem | - ptr to object of the class containing functions for computing the next state and the measurement,
  type | - type of the created matrices that should be CV_32F or CV_64F.

## Member Data Documentation

## § alpha

double cv::tracking::UnscentedKalmanFilterParams::alpha

Default is 1e-3.

## § beta

double cv::tracking::UnscentedKalmanFilterParams::beta

Default is 2.0.

## § CP

int cv::tracking::UnscentedKalmanFilterParams::CP

Dimensionality of the control vector.

## § dataType

int cv::tracking::UnscentedKalmanFilterParams::dataType

Type of elements of vectors and matrices, default is CV_64F.

## § DP

int cv::tracking::UnscentedKalmanFilterParams::DP

Dimensionality of the state vector.

## § errorCovInit

Mat cv::tracking::UnscentedKalmanFilterParams::errorCovInit

State estimate cross-covariance matrix, DP x DP, default is identity.

## § k

double cv::tracking::UnscentedKalmanFilterParams::k

Default is 0.

## § measurementNoiseCov

Mat cv::tracking::UnscentedKalmanFilterParams::measurementNoiseCov

Measurement noise cross-covariance matrix, MP x MP.

## § model

Ptr<UkfSystemModel> cv::tracking::UnscentedKalmanFilterParams::model

Object of the class containing functions for computing the next state and the measurement.

## § MP

int cv::tracking::UnscentedKalmanFilterParams::MP

Dimensionality of the measurement vector.

## § processNoiseCov

Mat cv::tracking::UnscentedKalmanFilterParams::processNoiseCov

Process noise cross-covariance matrix, DP x DP.

## § stateInit

Mat cv::tracking::UnscentedKalmanFilterParams::stateInit

Initial state, DP x 1, default is zero.

The documentation for this class was generated from the following file:

- /build/3_4-contrib_docs-lin64/opencv_contrib/modules/tracking/include/opencv2/tracking/kalman_filters.hpp